FREEFOAM-COMBINEPATCHFACES(1)

NAME
freefoam-combinePatchFaces - Checks for multiple patch faces on same cell and combines them.

SYNOPSIS

freefoam combinePatchFaces <feature angle [0..180]> [-concaveAngle <angle [0..180]>] [-help] [-srcDoc] [-doc] [-overwrite] [-parallel] [-case <dir>] [-snapMesh]

DESCRIPTION

These result from e.g. refined neighbouring cells getting removed, leaving 4 exposed faces with same owner.

Rules for merging: - only boundary faces (since multiple internal faces between two cells not allowed anyway) - faces have to have same owner - faces have to be connected via edge which are not features (so angle between them < feature angle) - outside of faces has to be single loop - outside of face should not be (or just slightly) concave (so angle between consecutive edges < concaveangle

E.g. to allow all faces on same patch to be merged:

combinePatchFaces .. cavity 180 -concaveAngle 90

OPTIONS

<feature angle [0..180]>
    TODO Detailed description of argument.

-snapMesh
    Remove loose points on edges.

-concaveAngle <angle [0..180]>
    Maximum allowed concave angle.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.